Bug 199802 - graphics/synfigstudio: Update to 1.0
Summary: graphics/synfigstudio: Update to 1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: http://www.synfig.org/1.0/overview/
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 10:42 UTC by Ben Woods
Modified: 2015-08-28 15:48 UTC (History)
3 users (show)

See Also:


Attachments
Patch to update devel/etl to 0.04.18 (1.81 KB, patch)
2015-04-30 10:43 UTC, Ben Woods
no flags Details | Diff
Patch to update devel/synfig to 1.0 (17.81 KB, patch)
2015-04-30 10:43 UTC, Ben Woods
no flags Details | Diff
Patch to update graphics/synfigstudio to 1.0 (9.33 KB, patch)
2015-04-30 10:43 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for devel/etl on FreeBSD 10.1 amd64 (18.51 KB, text/plain)
2015-04-30 10:45 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for devel/synfig on FreeBSD 10.1 amd64 (gzipped) (50.87 KB, application/x-gzip)
2015-04-30 10:46 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for graphics/synfigstudio on FreeBSD 10.1 amd64 (gzipped) (53.18 KB, application/x-gzip)
2015-04-30 10:46 UTC, Ben Woods
no flags Details
Patch to update devel/etl to 0.04.18 (1.83 KB, patch)
2015-08-11 12:48 UTC, Ben Woods
no flags Details | Diff
Patch to update devel/synfig to 1.0 (17.81 KB, patch)
2015-08-11 13:03 UTC, Ben Woods
no flags Details | Diff
Patch to update graphics/synfigstudio to 1.0 (9.35 KB, patch)
2015-08-11 13:13 UTC, Ben Woods
no flags Details | Diff
truss(1) output when synfig dumps core on FreeBSD 9.3 amd64 (480.68 KB, text/plain)
2015-08-28 15:44 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2015-04-30 10:42:22 UTC
Update Synfig studio to 1.0, by updating the following ports which are all part of the synfig suite of software:
devel/etl: Update to 0.04.18 (maintained by dhn@freebsd.org)
devel/synfig: Update to 1.0 (no maintainer - take maintainership)
graphics/synfigstudio: Update to 1.0 (no maintainer - take maintainership)
Comment 1 Ben Woods freebsd_committer 2015-04-30 10:43:00 UTC
Created attachment 156133 [details]
Patch to update devel/etl to 0.04.18
Comment 2 Ben Woods freebsd_committer 2015-04-30 10:43:25 UTC
Created attachment 156134 [details]
Patch to update devel/synfig to 1.0
Comment 3 Ben Woods freebsd_committer 2015-04-30 10:43:50 UTC
Created attachment 156135 [details]
Patch to update graphics/synfigstudio to 1.0
Comment 4 Ben Woods freebsd_committer 2015-04-30 10:45:44 UTC
Created attachment 156136 [details]
QA: Successful poudriere testport logs for devel/etl on FreeBSD 10.1 amd64
Comment 5 Ben Woods freebsd_committer 2015-04-30 10:46:06 UTC
Created attachment 156137 [details]
QA: Successful poudriere testport logs for devel/synfig on FreeBSD 10.1 amd64 (gzipped)
Comment 6 Ben Woods freebsd_committer 2015-04-30 10:46:29 UTC
Created attachment 156138 [details]
QA: Successful poudriere testport logs for graphics/synfigstudio on FreeBSD 10.1 amd64 (gzipped)
Comment 7 Ben Woods freebsd_committer 2015-06-10 10:35:07 UTC
Hi dhn,

Can I please request your maintainer approval to update devel/etl? This has been waiting for 6 weeks now (maintainer timeout has passed).

Alternatively, would you like me to also take over maintainership of devel/etl, since this goes hand in hand with devel/synfig and graphics/synfigstudio?

Regards,
Ben
Comment 8 Ben Woods freebsd_committer 2015-08-11 12:48:40 UTC
Created attachment 159764 [details]
Patch to update devel/etl to 0.04.18

Take maintainership of devel/etl (dhn@ is no longer maintainer).
Comment 9 Ben Woods freebsd_committer 2015-08-11 13:03:32 UTC
Created attachment 159765 [details]
Patch to update devel/synfig to 1.0

Chase r388831 and r390310
Comment 10 Ben Woods freebsd_committer 2015-08-11 13:13:46 UTC
Created attachment 159766 [details]
Patch to update graphics/synfigstudio to 1.0

Chase r388831 and r393444
Comment 11 commit-hook freebsd_committer 2015-08-20 14:32:40 UTC
A commit references this bug:

Author: wen
Date: Thu Aug 20 14:32:31 UTC 2015
New revision: 394882
URL: https://svnweb.freebsd.org/changeset/ports/394882

Log:
  - Update to 0.04.18
  - Pass maintainership to submitter

  PR:		199802
  Submitted by:	woodsb02@gmail.com

Changes:
  head/devel/etl/Makefile
  head/devel/etl/distinfo
Comment 12 Kurt Jaeger freebsd_committer 2015-08-20 20:08:36 UTC
initial tests show that devel/synfig and graphics/synfigstudio from the patch have -RC5, while the distsites already have the final version with a different distinfo.

Currently testing the final versions.
Comment 13 Kurt Jaeger freebsd_committer 2015-08-20 20:57:41 UTC
testbuilds for devel/synfig, graphics/synfigstudio @work
Comment 14 commit-hook freebsd_committer 2015-08-21 11:48:10 UTC
A commit references this bug:

Author: wen
Date: Fri Aug 21 11:47:53 UTC 2015
New revision: 394937
URL: https://svnweb.freebsd.org/changeset/ports/394937

Log:
  - Update to 1.0
  - Pass maintainership to submitter

  PR:		199802
  Submitted by:	woodsb02@gmail.com

Changes:
  head/devel/synfig/Makefile
  head/devel/synfig/distinfo
  head/devel/synfig/files/patch-src__synfig__main.cpp
  head/devel/synfig/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2015-08-21 19:39:15 UTC
A testbuild for synfigstudio on 9.3amd64 used the synfig binary from devel/synfig
and dumped core -- any ideas ?

Build-log see

http://people.freebsd.org/~pi/logs/graphics__synfigstudio-93a-1440178733.txt

builds on current-amd64, 10.2-amd64 and 10.2-i386 are fine.
Comment 16 John Marino freebsd_committer 2015-08-26 12:17:39 UTC
worse: synfigstudio is failing on every platform:

http://portsmon.freebsd.org/portoverview.py?category=graphics&portname=synfigstudio
Comment 17 Kurt Jaeger freebsd_committer 2015-08-26 12:23:23 UTC
wen: can you have a look at it ?
Comment 18 Ben Woods freebsd_committer 2015-08-26 12:57:21 UTC
I believe graphics/synfigstudio is failing because it is still at 0.64.3, when it's dependency devel/synfig has been updated from 0.64.3 to 1.0 and it's other dependency devel/etl has been updated from 0.04.17 to 0.04.18.

In summary, graphics/synfigstudio will work once the attached patch is committed. It may be worth doing this now to get it working on most platforms, and working out the answer to the issue Kurt identified on FreeBSD 9.3 later.
Comment 19 Wen Heping freebsd_committer 2015-08-26 13:02:32 UTC
I am working on it.

wen
Comment 20 commit-hook freebsd_committer 2015-08-26 14:12:12 UTC
A commit references this bug:

Author: wen
Date: Wed Aug 26 14:11:38 UTC 2015
New revision: 395362
URL: https://svnweb.freebsd.org/changeset/ports/395362

Log:
  - Update to 1.0
  - Pass maintainership to submitter

  PR:		199802
  Submitted by:	woodsb02@gmail.com

Changes:
  head/graphics/synfigstudio/Makefile
  head/graphics/synfigstudio/distinfo
  head/graphics/synfigstudio/pkg-plist
Comment 21 Ben Woods freebsd_committer 2015-08-26 14:28:10 UTC
Thanks for your help Wen and Kurt.
Comment 22 Ben Woods freebsd_committer 2015-08-27 14:30:13 UTC
Kurt: I have re-created the FreeBSD 9.3 amd64 environment which saw synfig dumping core, and have been able to re-produce the error. I have built devel/synfig with debugging symbols.

When I run the synfig command that causes the core dump, it provides the following output:

root@freebsd93:/usr/ports/graphics/synfigstudio/work/synfigstudio-1.0/images # synfig -q synfig_icon.sif -o 16x16/
_icon.png --time 0 -w 16 -h 16
Abort (core dumped)


When I load it into the gdb debugger, and do a backtrace it shows:

root@freebsd93:/usr/ports/graphics/synfigstudio/work/synfigstudio-1.0/images # gdb /usr/local/bin/synfig
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...(no debugging symbols found)...
(gdb) core synfig.core
Core was generated by `synfig'.
Program terminated with signal 6, Aborted.
Reading symbols from /usr/local/lib/libsynfig.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libsynfig.so.0
Reading symbols from /usr/local/lib/libltdl.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libltdl.so.7
Reading symbols from /usr/local/lib/libMagick++-6.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libMagick++-6.so.6

... (skipping a large number of libraries here)

Loaded symbols for /libexec/ld-elf.so.1
#0  0x00000008059f504c in kill () from /lib/libc.so.7
[New Thread 80cc07400 (LWP 101848/synfig)]
(gdb) bt
#0  0x00000008059f504c in kill () from /lib/libc.so.7
#1  0x00000008059948b6 in strtok () from /lib/libc.so.7
#2  0x0000000813128325 in oil_cpu_detect_arch () from /usr/local/lib/liboil-0.3.so.0
#3  0x0000000813123da0 in oil_cpu_get_frequency () from /usr/local/lib/liboil-0.3.so.0
#4  0x0000000813124b35 in oil_init () from /usr/local/lib/liboil-0.3.so.0
#5  0x0000000812e4f4e7 in swfdec_init () from /usr/local/lib/libswfdec-0.8.so.0
#6  0x0000000812be48d9 in mlt_register () from /usr/local/lib/mlt/libmltswfdec.so
#7  0x00000008049772f3 in mlt_repository_init () from /usr/local/lib/libmlt.so.6
#8  0x0000000804976947 in mlt_factory_init () from /usr/local/lib/libmlt.so.6
#9  0x00000008047422f3 in Mlt::Factory::init () from /usr/local/lib/libmlt++.so.3
#10 0x000000080107fc7e in synfig::SoundProcessor::subsys_init () from /usr/local/lib/libsynfig.so.0
#11 0x0000000800fe6f1b in synfig::Main::Main () from /usr/local/lib/libsynfig.so.0
#12 0x00000000004793f7 in main ()
(gdb)


Thoughts?
Comment 23 Ben Woods freebsd_committer 2015-08-28 14:15:12 UTC
I just noticed that each time I run synfig with those arguments, I get the following log entry in /var/log/messages:

synfig: stack overflow detected; terminated
Comment 24 Ben Woods freebsd_committer 2015-08-28 15:44:49 UTC
Created attachment 160447 [details]
truss(1) output when synfig dumps core on FreeBSD 9.3 amd64

I have also attached the output from truss(1) when the synfig core dump occurs.
Comment 25 Ben Woods freebsd_committer 2015-08-28 15:47:41 UTC
This problem appears to be with devel/liboil.
Strangely, if I compile liboil from ports with debugging symbols (WITH_DEBUG=yes to /etc/make.conf), synfig no longer dumps core when run with the same command, and graphics/synfigstudio can build without error.